apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-world-configmaps-files
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hello-world-configmaps-files
  template:
    metadata:
      labels:
        app: hello-world-configmaps-files
    spec:
      volumes:
        - name: configurationdata
          configMap:
            name: cm-from-file
      containers:
      - name: hello-world
        image: psk8s.azurecr.io/hello-app:1.0
        ports:
        - containerPort: 8080
        volumeMounts:
          - name: configurationdata
            mountPath: "/etc/appconfig"
            
            
